/* time.h */
/* Copyright INMOS Limited 1992 */
/* Version 1.19 */

#ifndef __SYS_TIME_H
#define __SYS_TIME_H

struct timeval
{
    long            tv_sec;	/* Seconds      */
    long            tv_usec;	/* Microseconds */
};

struct timezone
{
    int             tz_minuteswest;	/* Minutes west of Greenwich    */
    int             tz_dsttime;	/* Type of Daylight Saving Time */
};

/*
 * Types of Daylight Saving Time, provided for completeness.
 */

#define DST_NONE     0		/* No Daylight Saving Time       */
#define DST_USA      1		/* USA                           */
#define DST_AUST     2		/* Australian                    */
#define DST_WET      3		/* Western European              */
#define DST_MET      4		/* Middle European               */
#define DST_EET      5		/* Eastern European              */
#define DST_CAN      6		/* Canada                        */
#define DST_GB       7		/* Great Britain and Eire        */
#define DST_RUM      8		/* Rumania                       */
#define DST_TUR      9		/* Turkey                        */
#define DST_AUSTALT 10		/* Australian with shift in 1986 */
#endif				/* __SYS_TIME_H */
